Package com.usatiuk.dhfsfuse

# Class JnrPtrByteOutput

java.lang.Object
com.google.protobuf.ByteOutput
com.usatiuk.dhfsfuse.JnrPtrByteOutput

public class JnrPtrByteOutput extends com.google.protobuf.ByteOutput

## Constructor Summary

Constructors
Constructor
Description
`JnrPtrByteOutput(jnr.ffi.Pointer backing, long size)`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(byte value)`
`void`
`write(byte[] value, int offset, int length)`
`void`
`write(ByteBuffer value)`
`void`
`writeLazy(byte[] value, int offset, int length)`
`void`
`writeLazy(ByteBuffer value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JnrPtrByteOutput

public JnrPtrByteOutput(jnr.ffi.Pointer backing, long size)

## Method Details

### write

public void write(byte value)

Specified by:
  `write` in class `com.google.protobuf.ByteOutput`

### write

public void write(byte[] value, int offset, int length)

Specified by:
  `write` in class `com.google.protobuf.ByteOutput`

### writeLazy

public void writeLazy(byte[] value, int offset, int length)

Specified by:
  `writeLazy` in class `com.google.protobuf.ByteOutput`

### write

public void write(ByteBuffer value)

Specified by:
  `write` in class `com.google.protobuf.ByteOutput`

### writeLazy

public void writeLazy(ByteBuffer value)

Specified by:
  `writeLazy` in class `com.google.protobuf.ByteOutput`